public void run(){
  Thread allThreads[];
  //Loop around until all of the racers have finished the race.
  while(Thread.activeCount()>1){
    try{
      //Create a Thread array for allThreads.
      allThreads = new Thread[Thread.activeCount()];
      //Obtain a link to all of the current Threads.
      Thread.enumerate (allThreads);
      //Display the name of all the Threads.
      System.out.println("****** New List ***** ");
      for (int x=0;x<allThreads.length;x++)
        System.out.println("Thread:"+allThreads[x].getName()+":
[ic:ccc]"+allThreads[x].getPriority()+":"+allThreads[x].isDaemon());
      thisThread.sleep(1000);
      }  catch (InterruptedException e){
        System.out.println("thisThread was interrupted");        }
    }

  //Once the race is done, end the program.
  if (inApplet){

    destroy();
    }
  else
    System.exit(0);
}
